<f:if condition="{pagination.allPageNumbers -> f:count()} > 1">
    <ul class="f3-widget-paginator">
        <f:if condition="{pagination.previousPageNumber} && {pagination.previousPageNumber} >= {pagination.firstPageNumber}">
            <li class="previous">
                <a class="btn" href="{f:uri.action(action:actionName, arguments:{currentPage: pagination.previousPageNumber},addQueryString:1)}" title="{f:translate(key:'pagination.previous')}">
                    {f:translate(key: 'widget.pagination.previous', extensionName: 'uulmhack_web')}
                </a>
            </li>
        </f:if>
        <f:if condition="{pagination.hasLessPages}">
            <li>…</li>
        </f:if>
        <f:for each="{pagination.allPageNumbers}" as="page">
            <f:if condition="{page} == {paginator.currentPageNumber}">
                <f:then>
                    <li class="current"><span class="btn btn-accent">{page}<span></li>
                </f:then>
                <f:else>
                    <li>
                        <a class="btn" href="{f:uri.action(action:actionName, arguments:{currentPage: page},addQueryString:1)}">{page}</a>
                    </li>
                </f:else>
            </f:if>
        </f:for>
        <f:if condition="{pagination.hasMorePages}">
            <li>…</li>
        </f:if>
        <f:if condition="{pagination.nextPageNumber} && {pagination.nextPageNumber} <= {pagination.lastPageNumber}">
            <li class="next">
                <a class="btn" href="{f:uri.action(action:actionName, arguments:{currentPage: pagination.nextPageNumber},addQueryString:1)}" title="{f:translate(key:'pagination.next')}">
                    {f:translate(key: 'widget.pagination.next', extensionName: 'uulmhack_web')}
                </a>
            </li>
        </f:if>
    </ul>
</f:if>
